# yaml-language-server: $schema=../dist/scenario.schema.json
scenarios:
  - name: initieel

    document_datumtijd: 2024-04-03T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"

    gebeurtenis_kenmerken:
      - 20909612763972800-1
      - 20909612763972800-2

    scenario_contact_optie:
      - zaakkenmerk: "20909612763972800"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 1

  - name: betaald

    document_datumtijd: 2024-04-04T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"

    gebeurtenis_kenmerken:
      - 20909612763972800-1
      - 20909612763972800-2
      - 20909612763972800-3

    scenario_contact_optie:
      - zaakkenmerk: "9132542000184042"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 2

  - name: financieel_recht

    document_datumtijd: 2024-04-05T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"
    gebeurtenis_kenmerken:
      - 20909612763972800-1
      - 20909612763972800-2
      - 20909612763972800-3
      - 20909612763972800-4

    scenario_contact_optie:
      - zaakkenmerk: "9132542000184042"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 3

  - name: uitbetaald

    document_datumtijd: 2024-04-06T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"

    gebeurtenis_kenmerken:
      - 20909612763972800-1
      - 20909612763972800-2
      - 20909612763972800-3
      - 20909612763972800-4
      - 20909612763972800-5

    scenario_contact_optie:
      - zaakkenmerk: "9132542000184042"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 4

gebeurtenissen:
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 20909612763972800-1
    datumtijd_gebeurtenis: 2024-02-01T10:25:01+00:00
    datumtijd_opgelegd: 2024-01-31T10:25:00+00:00
    zaakkenmerk: "20909612763972800"
    beschikkingsnummer: 20909612763972800-123
    bsn: "814859094"
    primaire_verplichting: true
    type: NIO_WET_ABC_ONTHEFFING
    categorie: Algemeen
    bedrag: 25000
    omschrijving: "Kosten keuring"
    juridische_grondslag_omschrijving: Kosten voor keuring ivm ontheffing
    juridische_grondslag_bron: https://wetten.overheid.nl/jci1.3:c:BWBR0008819&z=2023-07-01&g=2023-07-01
    opgelegd_door: "99000000000000000002"
    uitgevoerd_door: "99000000000000000002"
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 20909612763972800-2
    datumtijd_gebeurtenis: 2024-02-01T10:25:02+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "20909612763972800"
    bsn: "814859094"
    bedrag: 25000
    betaalwijze: Handmatig
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "20909612763972800"
    vervaldatum: 2024-11-02T00:00:00+00:00
  - gebeurtenis_type: BetalingVerwerkt
    gebeurtenis_kenmerk: 20909612763972800-3
    datumtijd_gebeurtenis: 2023-02-06T10:25:03+00:00
    betalingskenmerk: "20909612763972800"
    datumtijd_verwerkt: 2023-02-06T00:00:00+00:00
    datumtijd_ontvangen: 2023-02-05T00:00:00+00:00
    ontvangen_door: "99000000000000000002"
    verwerkt_door: "99000000000000000002"
    bedrag: 25000
  - gebeurtenis_type: FinancieelRechtVastgesteld
    gebeurtenis_kenmerk: 20909612763972800-4
    datumtijd_gebeurtenis: 2023-03-01T10:25:04+00:00
    zaakkenmerk: "20909612763972800"
    bsn: "814859094"
    bedrag: 25000
    omschrijving: "Recht op terugbetaling voorschot keuring"
    juridische_grondslag_omschrijving: Kosten voor keuring ivm ontheffing
    juridische_grondslag_bron: https://wetten.overheid.nl/jci1.3:c:BWBR0008819&z=2023-07-01&g=2023-07-01
    uitgevoerd_door: "99000000000000000002"
  - gebeurtenis_type: BedragUitbetaald
    gebeurtenis_kenmerk: 20909612763972800-5
    datumtijd_gebeurtenis: 2023-03-03T10:25:05+00:00
    zaakkenmerk: "20909612763972800"
    bsn: "814859094"
    bedrag: 25000
    rekeningnummer: "GB33BUKB20201666666666"
    omschrijving: "Uitbetaling financieel recht"
    uitgevoerd_door: "99000000000000000002"
